# $Revision: 1.47 $, $Date: 2006/04/15 11:38:13 $
%include	/usr/lib/rpm/macros.php
%define ver	%(echo %{version} | tr -d .)
Summary:	Unique interface to access different SQL databases
Summary(pl):	Jednolity inferfejs dostpu do baz danych SQL
Name:		adodb
Version:	4.80
Release:	1
License:	dual licensed using BSD-Style and LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/adodb/%{name}%{ver}.tgz
# Source0-md5:	942164adfc953173205231b9522304e0
Patch0:		%{name}-paths.patch
URL:		http://adodb.sourceforge.net/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq 'pear(\.\./.*)' 'pear(adodb.*)' 'pear(test.*)' 'pear(.*.inc.php)'
%define		_noautoprov 'pear(adodb/.*)'

%define		_appdir		%{_datadir}/php/%{name}

%description
PHP's database access functions are not standardized. This creates a
need for a database class library to hide the differences between the
different databases (encapsulate the differences) so we can easily
switch databases.

It currently supports MySQL, Interbase, Oracle, Microsoft SQL Server,
Sybase, PostgreSQL, Foxpro, Access, ADO and ODBC.

%description -l pl
Funkcje dostpu do baz danych w PHP nie s ustandaryzowane. To
powoduje i potrzebna jest biblioteka dostarczajca jednolite funkcje
ukrywajca rnice pomidzy rnymi bazami dziki czemu atwo mona
zmienia bazy.

Aktualnie obsuguje MySQL, Interbase, Oracle, Microsoft SQL Server,
Sybase, PostgreSQL, Foxpro, Access, ADO i ODBC.

%package -n php-pear-Auth_Container_ADOdb
Summary:	ADOdb container for PEAR Auth
Summary(pl):	Kontener ADOdb dla PEAR Auth
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-pear
Requires:	php-pear-Auth

%description -n php-pear-Auth_Container_ADOdb
Storage driver for fetching login data from a database using
ADOdb-PHP.

This storage driver can use all databases which are supported by the
ADOdb DB abstraction layer to fetch login data.

%description -n php-pear-Auth_Container_ADOdb -l pl
Sterownik przechowywania danych do pobierania danych logowania z bazy
danych przy uyciu ADOdb-PHP.

Ten sterownik przechowywania danych moe uywa wszystkich baz danych
obsugiwanych przez warstw abstrakcji ADOdb DB do pobierania danych.

%package pear
Summary:	PEAR DB Emulation Layer for ADOdb
Summary(pl):	Warstwa emulacji PEAR DB dla ADOdb
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
Requires:	php-pear

%description pear
PEAR DB Emulation Layer for ADODB.

%description pear -l pl
Warstwa emulacji PEAR DB dla ADOdb.

%package tests
Summary:	Tests for ADOdb
Summary(pl):	Testy dla ADOdb
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description tests
Tests for ADOdb.

%description tests -l pl
Testy dla ADOdb.

%prep
%setup -q -n %{name}
# undos the source
find . -type f -print0 | xargs -0 sed -i -e 's,\r$,,'

%patch0 -p1
mv pear/{readme.Auth.txt,README}
rm -rf session/old

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}/{drivers,datadict,perf,lang,session,xsl}

cp -a *.php *.dtd drivers datadict tests lang perf session xsl \
	$RPM_BUILD_ROOT%{_appdir}

install -d $RPM_BUILD_ROOT%{php_pear_dir}/Auth/Container
cp -a pear/Auth/Container/ADOdb.php $RPM_BUILD_ROOT%{php_pear_dir}/Auth/Container

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- adodb < 4.67-1.17
%banner -e %{name} <<EOF
ADODB includes have been moved to %{_appdir}.
If you're too lazy to fix your code, make compat symlink:
ln -s %{_appdir} %{php_pear_dir}/adodb
EOF
#'

%files
%defattr(644,root,root,755)
%dir %{_appdir}
%{_appdir}/datadict
%{_appdir}/drivers
%{_appdir}/lang
%{_appdir}/perf
%{_appdir}/server.php
%{_appdir}/session
%{_appdir}/xmlschema.dtd
%{_appdir}/xmlschema03.dtd
%{_appdir}/xsl

%{_appdir}/adodb-csvlib.inc.php
%{_appdir}/adodb-datadict.inc.php
%{_appdir}/adodb-error.inc.php
%{_appdir}/adodb-errorhandler.inc.php
%{_appdir}/adodb-exceptions.inc.php
%{_appdir}/adodb-iterator.inc.php
%{_appdir}/adodb-lib.inc.php
%{_appdir}/adodb-pager.inc.php
%{_appdir}/adodb-perf.inc.php
%{_appdir}/adodb-php4.inc.php
%{_appdir}/adodb-time.inc.php
%{_appdir}/adodb-xmlschema.inc.php
%{_appdir}/adodb.inc.php
%{_appdir}/toexport.inc.php
%{_appdir}/tohtml.inc.php
%{_appdir}/adodb-active-record.inc.php
%{_appdir}/adodb-xmlschema03.inc.php

%files tests
%defattr(644,root,root,755)
%{_appdir}/tests
%{_appdir}/pivottable.inc.php
%{_appdir}/rsfilter.inc.php

%files pear
%defattr(644,root,root,755)
%{_appdir}/adodb-pear.inc.php
%{_appdir}/adodb-errorpear.inc.php

%files -n php-pear-Auth_Container_ADOdb
%defattr(644,root,root,755)
%doc pear/README
%{php_pear_dir}/Auth/Container/ADOdb.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: adodb.spec,v $
Revision 1.47  2006/04/15 11:38:13  glen
- 4.80 (many sec fixes since last release)

Revision 1.46  2006/03/12 20:02:15  glen
- rel 3

Revision 1.45  2006/03/12 18:39:36  qboosh
- pl for new subpackages

Revision 1.44  2006/03/12 17:47:42  glen
- rel 2

Revision 1.43  2006/03/12 16:53:17  glen
- remove invalid Source0Download

Revision 1.42  2006/03/12 16:52:06  glen
- moved out of pear dir (it's not PEAR package)
- created -pear and php-pear-Auth_Container_ADOdb packages

Revision 1.41  2006/03/12 14:58:04  glen
- php-pear epoch

Revision 1.40  2005/11/17 20:22:57  prism
- typos

Revision 1.39  2005/11/17 19:09:45  twittner
- up to 4.67

Revision 1.38  2005/11/12 21:54:08  prism
- updated to 4.66

Revision 1.37  2005/07/02 18:15:29  prism
- updated to 4.64

Revision 1.36  2005/05/05 15:40:58  darekr
- simplified %install a bit

Revision 1.35  2005/05/05 14:07:13  prism
- updated to 4.62

Revision 1.34  2004/11/11 20:37:52  adamg
- updated to 4.54

Revision 1.33  2004/10/24 19:57:19  paladine
- spaces->tabs
- cleanups

Revision 1.32  2004/10/13 19:36:36  ciesiel
- upgraded to version 4.53
- added missing dirs

Revision 1.31  2004/08/21 18:58:39  adamg
- updated to 4.52
- new Source0/URL urls

Revision 1.30  2004/07/09 22:02:45  adamg
- updated to 4.22

Revision 1.29  2004/03/22 12:29:41  adamg
- updated to 4.21

Revision 1.28  2004/02/28 16:57:09  adamg
- updated to 4.20

Revision 1.27  2004/01/04 19:20:31  averne
- updated to 4.05

Revision 1.26  2003/12/05 10:23:34  qboosh
- updated to 4.04
- doesn't seem to need apache SAPI, so removed R: php (left just php-pear)
- removed unused BR rpm-php-pearprov

Revision 1.25  2003/10/03 10:27:29  adamg
- updated to 3.92
- simplifications in %install and %doc

Revision 1.24  2003/08/18 08:07:54  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/08/06 16:05:06  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.22  2003/08/06 12:50:29  adamg
- updated to 3.70

Revision 1.21  2003/07/18 15:27:58  djrzulf
- php macros are screwed or this library suck (switched off),

Revision 1.20  2003/07/11 13:05:12  ankry
- cosmetics

Revision 1.19  2003/06/19 10:50:42  adamg
- updated to 3.60
- php_pear_dir is already defined in /usr/lib/rpm/macros.php

Revision 1.18  2003/05/28 14:59:30  adamg
- make distfiles happy

Revision 1.17  2003/05/28 14:26:25  adamg
- up to 3.50

Revision 1.16  2003/05/28 13:54:49  malekith
- use tr not sed for computing version (simpler and catched by distfiles)

Revision 1.15  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.14  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/15 08:23:07  djrzulf
- added noautoreq

Revision 1.12  2003/04/15 04:24:52  baseciq
- temporary save... i'm too tired...

Revision 1.11  2003/04/15 04:04:21  baseciq
- in fact, adodb is pear-compatible, so moved to /usr/share/pear (it's
  the only dir that php looks for aditional libs by default)
- added missing br: rpm-php-pearprov
- added missing %include macro.rpm
- cleanups
- updated URL
- this library is called 'ADOdb', not 'adodb'...

Revision 1.10  2003/04/07 18:51:25  adamg
- updated to 3.40

Revision 1.9  2003/03/18 12:53:05  adamg
- updated to 3.31

Revision 1.8  2003/03/16 17:54:41  adamg
- updated to 3.30
- added missing files

Revision 1.7  2002/07/20 17:33:58  kloczek
- removed commented lines.

Revision 1.6  2002/07/18 22:24:41  bonkey
- version: 2.20
- changed license to dual licensed using BSD-Style and LGPL
- clean-ups in %doc

Revision 1.5  2002/04/25 15:42:02  arturs
- fixed a small typo

Revision 1.4  2002/03/02 10:24:13  kloczek
- cosmetics.

Revision 1.3  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:12:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/09/01 17:50:41  misiek
- initial pld release
